<?xml version="1.0" encoding="GB2312"?>
<Config>
<!--  product instruction
    Because of the various orientation of sensor, there're some differences
    of gyro and ois between MHA and VV. So identify the target product for algo
		0 represents MHA&LON
		1 represents VV
		2 represents STANF
		3 represents AB
		5 represents EMILY
		6 represents CHARLOTTE
		7 represents NEO
		8 represents COL BKL PCT
		9 represents Hima
		10 represents Laya
		11 represents 
		12 represents 
		13 represents 
		14 represents 
    If there're more products, just add to this list
	
    Rst/Rst_Default stands for rolling shutter time;
	rolling shutter time has to be set in us unit,
	default value example: <Rst_Default value="24118"/>;
	Rear/front stands for different sides of the phone,
	Rear cameras include main, wide, tele, and so on,
	Front cameras include front, and so on;
	Uhd:     ultra high definition, or 4K,
	Fhd:     full high definition,  or 1080p,
	Hd:      high definition,       or 720p,
	FhdPlus: full screen resolution, depends on products' screens;
	FhdPlus_2nd_: full screen resolution, Tahiti has two FhdPlus modes;
	Dynamic fps means auto fps, 
	Normal  fps means fixed lower frame rate, such as, 30 fps,
	High    fps means fixed higher frame rate, such as, 60 fps;
	
	Focal length depends on CMOS sensors or camera modules;
	
	Gyroscope offset depends on vendors, frame rates, and camera positions;
	Gyroscope vendors include ST, INVENSENSE, BOSCH, and so on;
	GyroOffset_Default has to be set real GyroOffset_Default * 1000,
	default value example: <GyroOffset_Default value="700"/>;
	
	minLensPos has to be set real minLensPos * 1000;
    maxLensPos has to be set real maxLensPos * 1000;
    minCode has to be set real minCode * 1000;
    maxCode has to be set real maxCode * 1000;
-->
    <productId value="18"/>
	
    <zoomCorrection value="1"/>
    <zoomCrcEnableId value="2"/>
    <rearMainZoomCrcEnable value="1"/>
    <rearWideZoomCrcEnable value="1"/>
    <rearTeleZoomCrcEnable value="0"/>
    <frontMainZoomCrcEnable value="1"/>

    <useSensorHub value="1"/>
    <fiveAxisStable value="0"/>
    <oisCameraId value="8"/>
    <oisAxisSwapFlag value="1"/>
    <frameRatio value="120"/>
    <frameRatio4K value="120"/>
    <frameRatioDefault value="120"/>
    <enableForkStreamIn4K value="1"/>
    <previewHwVideoStabLatency value="1"/>
    <recordHwVideoStabLatency value="16"/>
    <videoStabLatencySpec value="30"/>
    <maxBufferNumber value="16"/>
    <regionLimited value="0"/>
	
	<!--default-->
	<Rst_Default value="20206"/>

	<!--focal length-->
	<FocalLength_RearMain      value="672"/>
	<FocalLength_RearWide      value="515"/>
	<FocalLength_RearTele      value="2274"/>
	<FocalLength_FrontMain      value="717"/>
	
	<FocalLength_DualVideoRearMain       value="1000"/>
	<FocalLength_DualVideoRearWide       value="550"/>
	<FocalLength_DualVideoRearTele       value="2650"/>
    <FocalLength_ForeRearDualVideoFrontMain       value="975"/>
	<FocalLength_ForeRearDualVideoRearMain       value="1146"/>
	<FocalLength_ForeRearDualVideoRearTele       value="3084"/>

	<!--ST gyroscope-->
	<GyroOffset_ST_RearWide       value="515"/>
	<GyroOffset_ST_RearMain       value="510"/>
	<GyroOffset_ST_RearTele       value="435"/>
	<GyroOffset_ST_Front       value="650"/>

	<!--INVENSENSE gyroscope marie-->
	<GyroOffset_INVENSENSE_RearWide       value="540"/>
	<GyroOffset_INVENSENSE_RearWideRemosaic       value="540"/>
	<GyroOffset_INVENSENSE_RearWideQuadbin       value="600"/>
	<GyroOffset_INVENSENSE_RearWideHdr     value="580"/>
	<GyroOffset_INVENSENSE_RearMain       value="520"/>
	<GyroOffset_INVENSENSE_RearTele       value="540"/>
	<GyroOffset_INVENSENSE_Front       value="600"/>

	<!--BOSCH gyroscope marie-->
	<GyroOffset_BOSCH_RearWide       value="690"/>
	<GyroOffset_BOSCH_RearMain       value="700"/>
	<GyroOffset_BOSCH_RearTele       value="600"/>
	<GyroOffset_BOSCH_Front       value="780"/>

	<!--OIS Offset-->
	<ST_oisOffset_main_150      value="2540"/>
	<ST_oisOffset_main_s4h      value="2520"/>
	<ST_oisOffset_main_24532    value="2500"/>
	<ST_oisOffset_tele_128      value="2500"/>
	<ST_oisOffset_tele_9781     value="2500"/> 

	<INVENSENSE_oisOffset_main_150      value="2500"/>
	<INVENSENSE_oisOffset_main_s4h      value="2500"/>
	<INVENSENSE_oisOffset_main_24532    value="2500"/>
	<INVENSENSE_oisOffset_tele_128      value="2500"/>
	<INVENSENSE_oisOffset_tele_9781     value="2500"/>

	<BOSCH_oisOffset_main_150      value="2540"/>
	<BOSCH_oisOffset_main_s4h      value="2500"/>
	<BOSCH_oisOffset_main_24532    value="2500"/>
	<BOSCH_oisOffset_tele_128      value="2500"/>
	<BOSCH_oisOffset_tele_9781     value="2500"/>
	<!--OIS translation gain-->
	<ST_oisTranslationGain_main_150_x      value="-7150"/>
	<ST_oisTranslationGain_main_150_y      value="-6550"/>
	<ST_oisTranslationGain_main_s4h_x      value="-7600"/>
	<ST_oisTranslationGain_main_s4h_y      value="-7100"/>
	<ST_oisTranslationGain_main_24532_x    value="-7460"/>
	<ST_oisTranslationGain_main_24532_y    value="-6958"/>
	<ST_oisTranslationGain_tele_128_x      value="-7460"/>
	<ST_oisTranslationGain_tele_128_y      value="-6958"/>
	<ST_oisTranslationGain_tele_9781_x     value="-7460"/>
	<ST_oisTranslationGain_tele_9781_y     value="-6958"/>

	<INVENSENSE_oisTranslationGain_main_150_x      value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_150_y      value="-6958"/>
	<INVENSENSE_oisTranslationGain_main_s4h_x      value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_s4h_y      value="-6958"/>
	<INVENSENSE_oisTranslationGain_main_24532_x    value="-7460"/>
	<INVENSENSE_oisTranslationGain_main_24532_y    value="-6958"/>
	<INVENSENSE_oisTranslationGain_tele_128_x      value="-7460"/>
	<INVENSENSE_oisTranslationGain_tele_128_y      value="-6958"/>
	<INVENSENSE_oisTranslationGain_tele_9781_x     value="-7460"/>
	<INVENSENSE_oisTranslationGain_tele_9781_y     value="-6958"/>

	<BOSCH_oisTranslationGain_main_150_x      value="-6400"/>
	<BOSCH_oisTranslationGain_main_150_y      value="-6650"/>
	<BOSCH_oisTranslationGain_main_s4h_x      value="-7460"/>
	<BOSCH_oisTranslationGain_main_s4h_y      value="-6958"/>
	<BOSCH_oisTranslationGain_main_24532_x    value="-7460"/>
	<BOSCH_oisTranslationGain_main_24532_y    value="-6958"/>
	<BOSCH_oisTranslationGain_tele_128_x      value="-7460"/>
	<BOSCH_oisTranslationGain_tele_128_y      value="-6958"/>
	<BOSCH_oisTranslationGain_tele_9781_x     value="-7460"/>
	<BOSCH_oisTranslationGain_tele_9781_y     value="-6958"/>

	<!--AF compensation-->
	<minLensPos value="5680"/>
	<maxLensPos value="6060"/>
	<minCode    value="249000"/>
	<maxCode    value="867000"/>
	<!--AF compensation wide-->
	<minLensPos_wide value="5680"/>
	<maxLensPos_wide value="5960"/>
	<minCode_wide    value="249000"/>
	<maxCode_wide    value="867000"/>

    <noiseReduceOn value="0"/>
    <tnrEnable value="1"/>
    <tnrSigma value="32000"/>
    <tnrAlpha value="500"/>
    <tnrBeta value="500"/>
    <tnrDropFrameCount value="2"/>
    
    <isPassByPanningFaceCorrect value="0"/>
    <heatEscapeMode value="1"/>
    <fourKPreStabEnable value="1"/>
    
    <isNeedIspTnr value="1"/>
    <isNeedIspDualVidPre value="1"/>
    <vidTnrMode value="4"/>
    
    <is4KNeedFixSize value="1"/>
    
    <fullScreenWidth value="2288"/>
    <fullScreenHeight value="1080"/>
    <fullScreenWidth2nd value="2560"/>
    <fullScreenHeight2nd value="1080"/>

    <enableServoOffOisHighPowerScenes value="0"/>
    <!--main:1 tele:16-->
    <enableOisServoOffCameraList value="17"/>
    <enableDualOisEis value="0"/>
    <!--main:1 tele:16-->
    <enableOisCameraList value="17"/>
    <lumaDetectTime value="5"/>
    <lumaThreHigh value="100"/>
    <lumaThreLow value="90"/>
    
    <MAIN_OIS_ONSEMI_LC898150 value="1"/>
    <MAIN_OIS_RENESAS_S4H value="0"/>
    <MAIN_OIS_ROHM24532 value="0"/>
    <TELE_OIS_ONSEMI_LC898128 value="1"/>
    <TELE_OIS_DW9781B value="0"/>

    <apertureModeGyroLatency value="2"/>
    <enableTeleNewLayoutMode value="1"/>

    <!--1 << 0:back, 1 << 1:front-->
    <foreRearDualEnable value="1"/>
    <!--0-NOT_USE_READ_VALUE 1-USE_READ_VALUE_ONLY_FRONT 2-USE_READ_VALUE_ALL-->
    <enableRstReadValue value="2"/>
    
    <!--0:ONLY GPU WARP 1:ISP AND GPU COEXIIST 2:ONLY ISP WARP-->
    <ispGpuWarpExistMode value="1"/>
    <!--0:default 1:eis 3.0-->
    <eisSmoothStrategy value="0"/>
    <!--0:disable bicubic 1:enable bicubic-->
    <eisBicubicEnable value="1"/>
    <!--0:disable  1:enable filter for vsn-->
    <enableRequestPostVid value="1"/>
    <enableRequestPostPreVid value="1"/>
</Config>
